def cluster_features = ['connect'] + execution.getVariable('connect-features')

def env = [
  cluster_features: cluster_features,
  cluster_name: cluster.name,
  cluster_service: cluster.service,
  cluster_size: cluster.size,
  connect_image_version: binding.hasVariable('connect') ? connect.version : 'latest',
  current_realm_name: tenant.key,
  current_realm_display_name: tenant.name,
  process_instance_id: execution.getProcessInstanceId(),
  scope_id: contextScopeId,
  smardigo_management_action: smardigoManagementAction,
  stage: cluster.stage,
  tenant_id: tenant.key,
  connect_client_admin_username: connect_admin_username,
  connect_client_admin_password: connect_admin_password,
  connect_realm_admin_username: keycloak_admin_username,
  connect_realm_admin_password: keycloak_admin_password,
  wordpress_admin_username: wordpress_admin_username,
  wordpress_admin_password: wordpress_admin_password
]
if (binding.hasVariable('extraVariables')) {
  env << extraVariables
}

env